List of all members
clan::Gradient Class Reference
clanDisplay 2D

Colorgradient description class. More...

`#include <gradient.h>`

## Public Member Functions
Construction
| Gradient ()
| Constructs a color gradient. More...
| Gradient (const Colorf &top_left, const Colorf &top_right, const Colorf &bottom_left, const Colorf &bottom_right)
| Constructs a color gradient. More...
| Gradient (const Colorf &first_color, const Colorf &second_color)
| Constructs a Gradient. More...

## Attributes
Colorf | top_left
| Color of top left corner of gradient. More...
Colorf | top_right
| Color of top right corner of gradient. More...
Colorf | bottom_left
| Color of bottom left corner of gradient. More...
Colorf | bottom_right
| Color of bottom right corner of gradient. More...
bool | operator== (const Gradient &other) const
| Compares gradient to another one. More...
bool | operator!= (const Gradient &other) const
| Compares gradient to another one. More...

## Detailed Description

Colorgradient description class.

The documentation for this class was generated from the following file:

- gradient.h